> This page is for Taurus PROTECT, version v3.58 (default).
> For other versions, use one of these documentation indexes:
> - v3.58 (default): https://taurushq.ferndocs.com/protect-capital/v3.58/llms.txt
> - v3.56: https://taurushq.ferndocs.com/protect-capital/v3.56/llms.txt
> - v3.54: https://taurushq.ferndocs.com/protect-capital/v3.54/llms.txt
> - v3.52: https://taurushq.ferndocs.com/protect-capital/v3.52/llms.txt
> - v3.50: https://taurushq.ferndocs.com/protect-capital/v3.50/llms.txt
> - v3.48: https://taurushq.ferndocs.com/protect-capital/v3.48/llms.txt
> - v3.46: https://taurushq.ferndocs.com/protect-capital/v3.46/llms.txt
> - v3.44: https://taurushq.ferndocs.com/protect-capital/v3.44/llms.txt
> - v3.42: https://taurushq.ferndocs.com/protect-capital/v3.42/llms.txt
> - v3.40: https://taurushq.ferndocs.com/protect-capital/v3.40/llms.txt
> - v3.38: https://taurushq.ferndocs.com/protect-capital/v3.38/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://taurushq.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://taurushq.ferndocs.com/_mcp/server.

# Get pledge

GET https://your-protect-instance.example.com/api/rest/v1/tn/pledges/{pledgeID}

This endpoint returns a pledge.

Reference: https://taurushq.ferndocs.com/protect-capital/reference/taurus-network-pledges/get

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `pledgeID` (string, required) — The ID of the pledge to retrieve.

## Response

### 200

A successful response.

- `result` (tgvalidatordTnPledge, optional)

## Errors

### 400 Bad Request Error

Bad Request: indicates that the server cannot or will not process the request due to something that is perceived to be a client error (for example, malformed request syntax, invalid request message framing, or deceptive request routing)

- `any`

### 401 Unauthorized Error

Unauthorized: indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource

- `any`

### 403 Forbidden Error

Forbidden: indicates that the server understands the request but refuses to authorize it

- `any`

### 404 Not Found Error

Not Found: indicates that the server cannot find the requested resource

- `any`

### 500 Internal Server Error

Internal Server Error: indicates that the server encountered an unexpected condition that prevented it from fulfilling the request

- `any`

### 503 Service Unavailable Error

Service Unavailable: indicates that the server is not ready to handle the request.

- `any`

## Types

### tgvalidatordTnPledge

- `id` (string, optional)
- `sharedAddressID` (string, optional)
- `ownerParticipantID` (string, optional)
- `targetParticipantID` (string, optional)
- `currencyID` (string, optional)
- `blockchain` (string, optional)
- `network` (string, optional)
- `arg1` (string, optional)
- `arg2` (string, optional)
- `amount` (string, optional)
- `status` (string, optional)
- `pledgeType` (string, optional)
- `trails` (list of tgvalidatordTnPledgeTrail, optional)
- `originCreationDate` (datetime, optional)
- `durationSetup` (TnPledgePledgeDurationSetup, optional)
- `unpledgeDate` (datetime, optional)
- `attributes` (list of TnPledgePledgeAttribute, optional)
- `createdAt` (datetime, optional)
- `updatedAt` (datetime, optional)
- `externalReferenceId` (string, optional)
- `reconciliationNote` (string, optional)
- `direction` (string, optional)
- `wladdressID` (string, optional) — Represent the id of a whitelisted address if your participant is the target participant of the pledge. internalAddressID and wladdressID can not be set simultaneously.

### tgvalidatordTnPledgeTrail

- `id` (string, optional)
- `pledgeID` (string, optional)
- `addressCommandID` (string, optional)
- `participantID` (string, optional)
- `pledgeAmount` (string, optional)
- `action` (string, optional)
- `comment` (string, optional)
- `createdAt` (datetime, optional)

### TnPledgePledgeDurationSetup

- `minimumDuration` (string, optional) — The minimum duration of the pledge. The minimum duration is the time that the pledge must remain active before it can be unpledged. (example 1 month, the owner can't unpledge before one month)You can either set endOfMinimumDurationDate or minimumDuration.
- `endOfMinimumDurationDate` (datetime, optional) — The end date of the minimum duration of the pledge. The minimum duration is the time that the pledge must remain active before it can be unpledged.You can either set endOfMinimumDurationDate or minimumDuration.
- `noticePeriodDuration` (string, optional) — The duration of the notice period occuring after doing an unpledge.When an unpledge is performed, the target participant will be able to perform withdrawals until the end of the notice period. (example 48h after the unpledge)When this field is not set, the pledge is considered 'At sight', so the owner can unpledge at anytime and the target can't withdraw anymore.
- `endOfNoticePeriodDate` (datetime, optional) — The end date of the notice period. The notice period is the time that the target participant can perform withdrawals after the unpledge is done by the owner participant.After the end of the notice period, the target participant can't perform withdrawals anymore and the pledge is considered 'UNPLEDGED'. This field is set once an unpledge action is performed.

### TnPledgePledgeAttribute

- `id` (string, optional)
- `key` (string, optional)
- `value` (string, optional)
- `owner` (string, optional)
- `type` (string, optional)
- `subtype` (string, optional)
- `contentType` (string, optional)
- `isTaurusNetworkShared` (boolean, optional)

## Examples

**Response**

```json
{
  "result": {
    "id": "string",
    "sharedAddressID": "string",
    "ownerParticipantID": "string",
    "targetParticipantID": "string",
    "currencyID": "string",
    "blockchain": "string",
    "network": "string",
    "arg1": "string",
    "arg2": "string",
    "amount": "string",
    "status": "string",
    "pledgeType": "string",
    "trails": [
      {
        "id": "string",
        "pledgeID": "string",
        "addressCommandID": "string",
        "participantID": "string",
        "pledgeAmount": "string",
        "action": "string",
        "comment": "string",
        "createdAt": "2024-01-15T09:30:00Z"
      }
    ],
    "originCreationDate": "2024-01-15T09:30:00Z",
    "durationSetup": {
      "minimumDuration": "string",
      "endOfMinimumDurationDate": "2024-01-15T09:30:00Z",
      "noticePeriodDuration": "string",
      "endOfNoticePeriodDate": "2024-01-15T09:30:00Z"
    },
    "unpledgeDate": "2024-01-15T09:30:00Z",
    "attributes": [
      {
        "id": "string",
        "key": "string",
        "value": "string",
        "owner": "string",
        "type": "string",
        "subtype": "string",
        "contentType": "string",
        "isTaurusNetworkShared": true
      }
    ],
    "createdAt": "2024-01-15T09:30:00Z",
    "updatedAt": "2024-01-15T09:30:00Z",
    "externalReferenceId": "string",
    "reconciliationNote": "string",
    "direction": "string",
    "wladdressID": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://your-protect-instance.example.com/api/rest/v1/tn/pledges/pledgeID"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://your-protect-instance.example.com/api/rest/v1/tn/pledges/pledgeID';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://your-protect-instance.example.com/api/rest/v1/tn/pledges/pledgeID"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://your-protect-instance.example.com/api/rest/v1/tn/pledges/pledgeID")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://your-protect-instance.example.com/api/rest/v1/tn/pledges/pledgeID")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://your-protect-instance.example.com/api/rest/v1/tn/pledges/pledgeID', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://your-protect-instance.example.com/api/rest/v1/tn/pledges/pledgeID");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://your-protect-instance.example.com/api/rest/v1/tn/pledges/pledgeID")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```